Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl.beid.impl
Class BeIDConnectorExternalGui

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.beid.impl.BeIDConnectorExternalGui

All Implemented Interfaces:
  BeIDConnectorGui, be.fedict.commons.eid.client.spi.BeIDCardUI

    public final class BeIDConnectorExternalGui

extends Object
implements BeIDConnectorGui

Class that can be used to replace the commonsEID dialog. Implementation of `BeIDConnectorGui`

Field Summary
`static String` | `PROP_VERIFY_PIN` Property to enable the verification of a pin code before putting it into the pincode map Default:true

Method Summary
`void` | `advisePINBlocked()`
`void` | `advisePINChanged()`
`void` | `advisePINPadChangePIN(int arg0)`
`void` | `advisePINPadNewPINEntry(int arg0)`
`void` | `advisePINPadNewPINEntryAgain(int arg0)`
`void` | `advisePINPadOldPINEntry(int arg0)`
`void` | `advisePINPadOperationEnd()`
`void` | `advisePINPadPINEntry(int retriesLeft, be.fedict.commons.eid.client.PINPurpose type)`
`void` | `advisePINPadPINEntry(int arg0, be.fedict.commons.eid.client.PINPurpose arg1, String arg2)`
`void` | `advisePINPadPUKEntry(int arg0)`
`void` | `advisePINUnblocked()`
`void` | `adviseSecureReaderOperation()`
`void` | `adviseSecureReaderOperationEnd()`
`static BeIDConnectorExternalGui` | `getInstance()`
`Locale` | `getLocale()`
`char[][]` | `obtainOldAndNewPIN(int arg0)`
`char[]` | `obtainPIN(int triesLeft, be.fedict.commons.eid.client.PINPurpose type)`
`char[]` | `obtainPIN(int arg0, be.fedict.commons.eid.client.PINPurpose arg1, String arg2)`
`char[][]` | `obtainPUKCodes(int arg0)`
`void` | `setFallbackBeIDConnectorGui(BeIDConnectorGui backup)`
`void` | `setLocale(Locale newLocale)`
`void` | `setPIN(be.fedict.commons.eid.client.PINPurpose pinpurpose, char[] pin)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_VERIFY_PIN

    public static final String PROP_VERIFY_PIN

  Property to enable the verification of a pin code before putting it into the pincode map Default:true

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static BeIDConnectorExternalGui getInstance()

### setLocale

    public void setLocale(Locale newLocale)

  Specified by:
    `setLocale` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDCardUI.setLocale(java.util.Locale)`

### getLocale

    public Locale getLocale()

  Specified by:
    `getLocale` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDCardUI.getLocale()`

### advisePINBlocked

    public void advisePINBlocked()

  Specified by:
    `advisePINBlocked` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINBlocked` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINBlocked()`

### advisePINChanged

    public void advisePINChanged()

  Specified by:
    `advisePINChanged` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINChanged` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINChanged()`

### advisePINPadChangePIN

    public void advisePINPadChangePIN(int arg0)

  Specified by:
    `advisePINPadChangePIN` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadChangePIN` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINPadChangePIN(int)`

### advisePINPadNewPINEntry

    public void advisePINPadNewPINEntry(int arg0)

  Specified by:
    `advisePINPadNewPINEntry` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadNewPINEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINPadNewPINEntry(int)`

### advisePINPadNewPINEntryAgain

    public void advisePINPadNewPINEntryAgain(int arg0)

  Specified by:
    `advisePINPadNewPINEntryAgain` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadNewPINEntryAgain` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINPadNewPINEntryAgain(int)`

### advisePINPadOldPINEntry

    public void advisePINPadOldPINEntry(int arg0)

  Specified by:
    `advisePINPadOldPINEntry` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadOldPINEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINPadOldPINEntry(int)`

### advisePINPadOperationEnd

    public void advisePINPadOperationEnd()

  Specified by:
    `advisePINPadOperationEnd` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadOperationEnd` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINPadOperationEnd()`

### advisePINPadPUKEntry

    public void advisePINPadPUKEntry(int arg0)

  Specified by:
    `advisePINPadPUKEntry` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadPUKEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINPadPUKEntry(int)`

### advisePINUnblocked

    public void advisePINUnblocked()

  Specified by:
    `advisePINUnblocked` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINUnblocked` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.advisePINUnblocked()`

### adviseSecureReaderOperation

    public void adviseSecureReaderOperation()

  Specified by:
    `adviseSecureReaderOperation` in interface `BeIDConnectorGui`
  Specified by:
    `adviseSecureReaderOperation` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.adviseSecureReaderOperation()`

### adviseSecureReaderOperationEnd

    public void adviseSecureReaderOperationEnd()

  Specified by:
    `adviseSecureReaderOperationEnd` in interface `BeIDConnectorGui`
  Specified by:
    `adviseSecureReaderOperationEnd` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.adviseSecureReaderOperationEnd()`

### obtainOldAndNewPIN

    public char[][] obtainOldAndNewPIN(int arg0)

  Specified by:
    `obtainOldAndNewPIN` in interface `BeIDConnectorGui`
  Specified by:
    `obtainOldAndNewPIN` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.obtainOldAndNewPIN(int)`

### advisePINPadPINEntry

    public void advisePINPadPINEntry(int arg0,
                                     be.fedict.commons.eid.client.PINPurpose arg1,
                                     String arg2)

  Specified by:
    `advisePINPadPINEntry` in interface `BeIDConnectorGui`
  Specified by:
    `advisePINPadPINEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### obtainPIN

    public char[] obtainPIN(int arg0,
                            be.fedict.commons.eid.client.PINPurpose arg1,
                            String arg2)
                     throws be.fedict.commons.eid.client.spi.UserCancelledException

  Specified by:
    `obtainPIN` in interface `BeIDConnectorGui`
  Specified by:
    `obtainPIN` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  Throws:
    `be.fedict.commons.eid.client.spi.UserCancelledException`

### obtainPIN

    public char[] obtainPIN(int triesLeft,
                            be.fedict.commons.eid.client.PINPurpose type)
                     throws be.fedict.commons.eid.client.spi.UserCancelledException

  Specified by:
    `obtainPIN` in interface `BeIDConnectorGui`
  Throws:
    `be.fedict.commons.eid.client.spi.UserCancelledException`
  See Also:
    `BeIDConnectorGui.obtainPIN(int, be.fedict.commons.eid.client.PINPurpose)`

### obtainPUKCodes

    public char[][] obtainPUKCodes(int arg0)

  Specified by:
    `obtainPUKCodes` in interface `BeIDConnectorGui`
  Specified by:
    `obtainPUKCodes` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  See Also:
    `BeIDConnectorGui.obtainPUKCodes(int)`

### advisePINPadPINEntry

    public void advisePINPadPINEntry(int retriesLeft,
                                     be.fedict.commons.eid.client.PINPurpose type)

  Specified by:
    `advisePINPadPINEntry` in interface `BeIDConnectorGui`
  See Also:
    `BeIDConnectorGui.advisePINPadPINEntry(int, be.fedict.commons.eid.client.PINPurpose)`

### setPIN

    public void setPIN(be.fedict.commons.eid.client.PINPurpose pinpurpose,
                       char[] pin)
                throws TechnicalConnectorException

  Parameters:
    `pinpurpose` -
    `pin` -
  Throws:
    `UnsupportedEncodingException`
    `GeneralSecurityException`
    `TechnicalConnectorException`

### setFallbackBeIDConnectorGui

    public void setFallbackBeIDConnectorGui(BeIDConnectorGui backup)

  Parameters:
    `backup` - the backup to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.